#!/usr/bin/perl
#
# $Header: //sapdb/V74/c_03/b_32/sys/src/install/perl/SAPDB/Install/Instance/Check/Finalize/Generic.pm#1 $
# $DateTime: 2004/03/30 15:31:59 $
# $Change: 68842 $
#

package SAPDB::Install::Instance::Check::Finalize::Generic;

sub BEGIN {
	@ISA = ('SAPDB::Install::Exporter');
	@EXPORT = ();
	my $repo = SAPDB::Install::Repository::GetCurrent ();
	my @neededPackages = (
		'Instance::Base',
		'Instance::Check::Common',
		'Instance::Check::DomainUser'
	);

	foreach my $package (@neededPackages) {
	  	unless (defined $repo->Eval 
		("SAPDB::Install::$package", 1.01)) {
                	print join ("\n", $repo->GetErr)."\n";
                	die;
        	}
		SAPDB::Install::Exporter::import ("SAPDB::Install::$package");
	  } 
}

push @ISA, 
	'SAPDB::Install::Instance::Base',
	'SAPDB::Install::Instance::Check::Common',
	'SAPDB::Install::Instance::Check::DomainUser';

#
# finalize check for generic migration strategies
# that means any other then EXTERNAL_CONSISTENT_BACKUP
#
sub finalizecheck {
	my ($self) = @_; 

	my $rc = $self->domainuser ();
	return ($rc);
}

1;

