# =====================================================
# @(#) GARBAGE.py                   7.4
# =====================================================
#
# To be run as SYSDBA
#
#    ========== licence begin LGPL
#    Copyright (C) 2002 SAP AG
#
#    This library is free software; you can redistribute it and/or
#    modify it under the terms of the GNU Lesser General Public
#    License as published by the Free Software Foundation; either
#    version 2.1 of the License, or (at your option) any later version.
#
#    This library is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#    Lesser General Public License for more details.
#
#    You should have received a copy of the GNU Lesser General Public
#    License along with this library; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#    ========== licence end
#

from installib import *

def install (session,options):
    """Removing obsolete objects
        """

    loaderCmd (session, 'INSTALLATION ON')

    loaderCmd (session, 'AUTOCOMMIT OFF')

    loaderCmd (session, 'USE USER DOMAIN %s' % options.dompwd)

    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.TERMCHARSETS')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.SHOW_TABLELOCKS')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.CHARSETS')

    sqlOK (session, "COMMIT")

    switchToDefaultUser (session, options)

    stopIfSqlNotErr (session, -4004, 'DROP TABLE DBA.PRESENT')
    stopIfSqlNotErr (session, -4004, 'DROP TABLE DBA.QUERYLIBRARY')
    stopIfSqlNotErr (session, -4004, 'DROP TABLE DBA.SYSQP_ALL_SHARED_OBJECTS')

    sqlOK (session, "COMMIT")

# End of this file
#
    loaderCmd (session, 'COMMIT WORK')
    loaderCmd (session, 'INSTALLATION OFF')

if __name__ == '__main__':
    connectAndInstall (install, install.__doc__)


